<bugID>1399517<Summary>Extension browser action buttons disappear after Nightly update</Summary><Description>Created attachment 8907648
Buttons before Nightly update

I have a couple of extensions that put browser action buttons on the UI (Grammerly and uBlock Origin) next to the standard Downloads and Library buttons (see fx-pre-update.jpg).

When Nightly prompts me to update and restart via the hamburger menu, the browser action buttons from my extensions do not reappear (see fx-post-update.jpg).

about:addons shows the extensions are still installed and enabled and, indeed, they appear to be working correctly (ads are still being blocked).  Disabling and re-enabling does not make the buttons reappear. The buttons DO reappear if I simply close the browser and start it again.

The behavior seems consistent over the past 3-4 Nightly updates.</Description></bugID>